libzypp: zypp::ZYppFactory Class Reference

libzypp 17.38.8

zypp::ZYppFactory Class Reference

ZYpp factory class (Singleton). More...

`#include <zypp/ZYppFactory.h>`

## Public Member Functions
| ~ZYppFactory ()
| Dtor.
ZYpp::Ptr | getZYpp () const
bool | haveZYpp () const
| Whether the ZYpp instance is already created.

## Static Public Member Functions
static ZYppFactory | instance ()
| Singleton ctor.
static zypp::Pathname | lockfileDir ()

## Private Member Functions
| ZYppFactory ()
| Default ctor.

## Friends
std::ostream & | operator<< (std::ostream &str, const ZYppFactory &obj)
| relates: ZYppFactory Stream output

## Detailed Description

ZYpp factory class (Singleton).

Definition at line 43 of file ZYppFactory.h.

## Constructor & Destructor Documentation

## ◆ ~ZYppFactory()

zypp::ZYppFactory::~ZYppFactory | ( |  | ) |

Dtor.

Definition at line 371 of file ZYppFactory.cc.

## ◆ ZYppFactory()

zypp::ZYppFactory::ZYppFactory | ( |  | ) |
| private

Default ctor.

Definition at line 368 of file ZYppFactory.cc.

## Member Function Documentation

## ◆ instance()

ZYppFactory zypp::ZYppFactory::instance | ( |  | ) |
| static

Singleton ctor.

Definition at line 365 of file ZYppFactory.cc.

## ◆ getZYpp()

ZYpp::Ptr zypp::ZYppFactory::getZYpp | ( |  | ) | const

Returns
  Pointer to the ZYpp instance.

Exceptions

  EXCEPTION | In case we can't acquire a lock.

Definition at line 376 of file ZYppFactory.cc.

## ◆ haveZYpp()

bool zypp::ZYppFactory::haveZYpp | ( |  | ) | const

Whether the ZYpp instance is already created.

Definition at line 464 of file ZYppFactory.cc.

## ◆ lockfileDir()

zypp::Pathname zypp::ZYppFactory::lockfileDir | ( |  | ) |
| static

Definition at line 467 of file ZYppFactory.cc.

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | str,
|  | const ZYppFactory & | obj )
| friend

relates: ZYppFactory Stream output

Definition at line 477 of file ZYppFactory.cc.

The documentation for this class was generated from the following files:

- zypp/ZYppFactory.h
- zypp/ZYppFactory.cc